# Částečně uspořádané množiny

**Uspořádání** na množině $X$ je libovolná relace na $X$, která je **reflexivní**, slabě **antisymetrická** a **tranzitivní**.

Je-li $R$ uspořádání na množině $X$, pak dvojice $(X, R)$ se nazývá **uspořádaná množina**. Jsou-li prvky $x, y$ v relaci $R$ (tedy $x \, R \, y$), interpretujeme to slovy "**prvek x je menší nebo roven prvku y**".

Z uvedené definice se uspořádáním říká také **neostrá uspořádání**, protože pro každé $x$ platí $x \, R \, x$. (U ostrého uspořádání bychom místo reflexivity vyžadovali antireflexitu)

## Porovnatelnost prvků

Nechť $x, y$ jsou dva prvky uspořádané množiny $(X, \leq)$. Platí-li $x \leq y$ nebo $y \leq x$, jsou prvky $x, y$ **porovnatelné**, v opačném případě **neporovnatelné**.

Uspořádání $\leq$ se často označuje jako **částečné** (POSET), protože definice připouští existenci dvojic neporovnatelných prvků.

## Základní pojmy

**Největší prvek**
- $a \in X$, pokud pro každé $x \in X$ platí $x \leq a$
- musí být maximálním prvkem
- nemusí existovat, případně určen jednoznačně

**Nejmenší prvek**
- $a \in X$, pokud pro každé $x \in X$ platí $a \leq x$
- musí být minimálním prvkem
- nemusí existovat, případně určen jednoznačně

**Maximální prvek**
- $a \in X$, pokud pro žádné $x \in X$ není $a \leq x$
- prvky, které nejsou v relaci se žádným větším prvkem
- může jich být více

**Minimální prvek**
- $a \in X$, pokud pro žádné $x \in X$ není $x \leq a$
- prvky, které nejsou v relaci se žádným menším prvkem
- může jich být více

**Infimum**
- TODO

**Supremum**
- TODO

TODO

**Výška POSETu**
- označíme $\text{height}(\mathcal P)$, je největší $h$ takové, že existuje řetězec $h$ prvků v $\mathcal P$

**Šířka POSETu**
- označíme $\text{width}(\mathcal P)$, je největší $w$ takové, že existuje antiřetězec $w$ prvků v $\mathcal P$

**Duální POSET** $\mathcal P^{d} = (X, \mathcal P^d)$ k POSETu $\mathcal P$
- $P^d = \{ (x,y) \mid (x, y) \in \, \leq \}$
- Pokud pro POSET $\mathcal P$ existuje Hasseův diagram, pak Hasseův diagram pro $\mathcal P^d$ získáme jeho otočením "vzhůru nohama".
- Relace $\mathcal P^d$ je inverzní k relaci $\mathcal P$.

## Řetězce a antiřetězce

TODO

**Řetěz**
- Řetězem délky $k$ nad abecedou  $\Gamma = \{ \sigma_{1}, \sigma_{2}, \dots, \sigma_{n} \}$ velikosti $n$ budeme rozumět posloupnost $$