# Taylorův polynom

Nahrazení nějaké složité funkce $(\sin, \cos, \ln)$ za jinou polynomickou funkci n-tého stupně, která na konkrétním okolí zjišťovaného bodu dostatečně aproximuje tu původní.

Mějme funkci $f$, kterou chceme aproximovat v bodě $x_{0}$. Po Taylorovu polynomu budeme požadovat, aby platila rovnost funkčních hodnot a také každé derivace až do stupně $n$.
- $T_{n}(x_{0}) = f(x_{0})$
- $T_{n}^{(n)}(x_{0}) = f^{(n)}(x_{0})$

Taylorův polynom tedy bude vypadat následovně.
- $T_{n}(x) = a_{0} + a_{1}(x-x_{0}) + a_{2}(x-x_{0})^2 + \dots + a_{n}(x-x_{0})^n$

Platí tedy:
$$
\begin{matrix}
f(x_{0}) = T_{n}(x_{0}) = a_{0} \\
f'(x_{0}) = T_{n}'(x_{0}) = a_{1} \\
f''(x_{0}) = T_{n}''(x_{0}) = 2a_{2} \\
\vdots \\
f^{(n)}(x_{0}) = T_{n}^{(n)}(x_{0}) = n! \, a_{n}
\end{matrix}
$$

### Definice Taylorova polynomu

Mějme funkci $f : D \to \mathbb{R}$, bod $x_{0} \in D$, ve kterém má funkce $f$ konečné derivace až do řádu $n \in \mathbb{N}$ včetně. **Taylorův polynom** (nejvýše) $n$-tého stupně funkce $f$ v bodě $x_{0}$ je polynom
$$
T_{n}(x) = f(x_{0}) + f'(x_{0})(x-x_{0}) + \dots + \frac{f^{(n)}(x_{0})}{n!}(x-x_{0})^n.
$$

### Aproximace pomocí diferenciálů

Chci zjistit hodnotu $\sin(29°)$.
- $\displaystyle f(x) = \sin(x) \qquad x_{0}+h = \frac{29\pi}{180}$.

Znám hodnotu $\sin(30°) = \frac{1}{2}$.
- $\displaystyle x_{0} = \frac{30\pi}{180} = \frac{\pi}{6} \qquad h = -\frac{\pi}{180}$

Zjistím směrnici tečny v bodě $x_{0}$.
- $f'(x_{0}) = A$

Rovnice, kde $\tau$ je nová funkce a $A$ je derivace.
- $f(x_{0}+h) - f(x_{0}) = \tau(h) + A \cdot h$

Vypustím chybu ($\tau$) a získám přibližnou rovnost.
- $f(x_{0}+h) - f(x_{0}) \approx f'(x_{0}) \cdot h$
- $f(x_{0}+h) \approx f'(x_{0}) \cdot h + f(x_{0})$

Získám přibližný výsledek:
- $\displaystyle f\left( \frac{29\pi}{180} \right) \approx f'\left( \frac{\pi}{6} \right) \cdot \left( -\frac{\pi}{180} \right) + f\left( \frac{\pi}{6} \right)$
- $\displaystyle f\left( \frac{29\pi}{180} \right) \approx \frac{\sqrt{ 3 }}{2} \cdot \left( -\frac{\pi}{180} \right) + \frac{1}{2} = \frac{180-\sqrt{ 3 }\pi}{360}$

